package androidx.media;

import X.AnonymousClass0GR;
import X.C28591Bx;
import android.util.SparseIntArray;
import com.bytedance.covode.number.Covode;

public class AudioAttributesCompat implements AnonymousClass0GR {
    public static final SparseIntArray LIZIZ;
    public static final int[] LIZJ = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16};
    public C28591Bx LIZ;

    public int hashCode() {
        return this.LIZ.hashCode();
    }

    public String toString() {
        return this.LIZ.toString();
    }

    static {
        Covode.recordClassIndex(1317);
        SparseIntArray sparseIntArray = new SparseIntArray();
        LIZIZ = sparseIntArray;
        sparseIntArray.put(5, 1);
        sparseIntArray.put(6, 2);
        sparseIntArray.put(7, 2);
        sparseIntArray.put(8, 1);
        sparseIntArray.put(9, 1);
        sparseIntArray.put(10, 1);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof AudioAttributesCompat)) {
            return false;
        }
        AudioAttributesCompat audioAttributesCompat = (AudioAttributesCompat) obj;
        C28591Bx r1 = this.LIZ;
        if (r1 != null) {
            return r1.equals(audioAttributesCompat.LIZ);
        }
        if (audioAttributesCompat.LIZ == null) {
            return true;
        }
        return false;
    }
}
